Bug 1882495 - The new index isn't correct after upgrading logging from 4.4 to 4.5
Summary: The new index isn't correct after upgrading logging from 4.4 to 4.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard: logging-exploration
Depends On: 1809511 1827032
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 18:05 UTC by Jeff Cantrill
Modified: 2020-11-11 01:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: pre 4.5 ES clusters can end up in a state which will block proper 4.5 logging because the indexmanagement is in the incorrect state Consequence: indices get created with the name of the intended alias Fix: Block auto creation of "-write" suffix indices Result: This will block 4.5 forwarders from putting 4.4 stores in a bad state
Clone Of: 1809511
Environment:
Last Closed: 2020-11-11 01:08:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift elasticsearch-operator pull 496 0 None closed Bug 1882495: Block auto index creation for indices with "-write" suffix 2021-01-13 15:54:44 UTC
Red Hat Product Errata RHBA-2020:4323 0 None None None 2020-11-11 01:08:13 UTC

Comment 2 Anping Li 2020-10-20 04:43:51 UTC
Verified on elasticsearch-operator.4.4.0-202010151519.p0,clusterlogging.4.4.0-202010151519.p0

Comment 5 errata-xmlrpc 2020-11-11 01:08:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.30 extras update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4323


Note You need to log in before you can comment on or make changes to this bug.